/* General styles */
html {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: inline-block;
    text-align: center;
    background-color: #f5f5f5;
    color: #333;
}

body {
    margin: 0;
    padding: 0;
}

/* Top navigation bar */
.topnav {
    display: flex;
    justify-content: flex-end;
    /* align-items: center; */
    padding: 1rem 2rem;
    background-color: #004080;
    color: white;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}

.topnav button {
    margin-left: 0.5rem; /* Adds space between buttons */
}

.topnav h1 {
    font-size: 1.8rem;
    margin: 0;
    text-align: left; /* Aligns text to the left */
    flex: 1; /* Allows the h1 to take up available space */
}
/* Content area */
.content {
    padding: 2rem;
}

/* Card grid layout */
.card-grid {
    max-width: 1200px;
    margin: 0 auto;
    display: grid;
    grid-gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

/* Card styles */
.card {
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center; /* Center horizontally */
    text-align: center; /* Center text */
}

.card-title {
    font-size: 1.4rem;
    font-weight: 600;
    color: #004080;
    margin-bottom: 0.5rem;
}

.reading {
    font-size: 1.2rem;
    color: #0073e6;
    text-align: center;
}

/* Button styles */
.base-button {
    background-color: #0073e6;
    border: none;
    color: white;
    padding: 0.8rem 1.5rem;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s;
}

.base-button:hover {
    background-color: #005bb5;
}

.blank-button {
    background-color: #28a745;
}

.blank-button:hover {
    background-color: #218838;
}

.orange-button {
    background-color: #ee7f00;
}

.orange-button:hover {
    background-color: #ca6c00;
}

.restart-button {
    background-color: #dc3545;
}

.restart-button:hover {
    background-color: #c82333;
}

/* Form styles */
form {
    display: flex;
    flex-direction: column;
}

label {
    font-weight: 600;
    margin-top: 0.5rem;
}

input[type="text"],
input[type="password"],
input[type="number"],
select {
    padding: 0.5rem;
    margin-top: 0.3rem;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
}

button[type="button"] {
    margin-top: 1rem;
}

/* Responsive design */
@media (max-width: 768px) {
    .topnav {
        flex-direction: column;
        text-align: center;
    }

    .topnav h1 {
        margin-bottom: 1rem;
    }
}
